package http_model

type CreateSupplierWithdrawRequest struct {
	SupplierId                 int                `json:"supplier_id"`                   // 服务商ID
	CreateSupplierWithdrawList []SupplierWithdraw `json:"create_supplier_withdraw_list"` // 回票List
}

type SupplierWithdraw struct {
	InvoiceId  int    `json:"invoice_id"`  // 回票ID
	BankName   string `json:"bank_name"`   // 开户银行
	BankNumber string `json:"bank_number"` // 银行卡号
}

type CreateSupplierWithdrawData struct {
}

func NewCreateSupplierWithdrawRequest() *CreateSupplierWithdrawRequest {
	return new(CreateSupplierWithdrawRequest)
}

func NewCreateSupplierWithdrawResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(CreateSupplierWithdrawData)
	return resp
}
